| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
WriteParams::UserWriteData Struct Reference

Base class storing custom information in the WriteParams structure for later filtering. More...

`#include <WriteParams.hpp>`

## Public Member Functions

| UserWriteData ()=default
virtual | ~UserWriteData ()=default

## Detailed Description

Base class storing custom information in the WriteParams structure for later filtering.

This struct serves as a base class that allows derived classes to be deleted safely through a pointer to this base type. It is intended to be user-extensible.

## Constructor & Destructor Documentation

## ◆ UserWriteData()

UserWriteData | ( |  | ) |

default

## ◆ ~UserWriteData()

virtual ~UserWriteData | ( |  | ) |

virtual default

The documentation for this struct was generated from the following file:

- include/fastdds/rtps/common/WriteParams.hpp